Package org.eclipse.draw2d

# Interface FocusListener

All Known Implementing Classes:
  `FocusListener.Stub`

public interface FocusListener
A listener interface for receiving `FocusEvents`.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`FocusListener.Stub`
An empty implementation of FocusListener for convenience.

## Method Summary

Modifier and Type
Method
Description
`void`
`focusGained(FocusEvent fe)`
Called when the listened to object has gained focus.
`void`
`focusLost(FocusEvent fe)`
Called when the listened to object has lost focus.

## Method Details

### focusGained

void focusGained(FocusEvent fe)
Called when the listened to object has gained focus.

Parameters:
  `fe` - The FocusEvent object

### focusLost

void focusLost(FocusEvent fe)
Called when the listened to object has lost focus.

Parameters:
  `fe` - The FocusEvent object